<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_pixel_value_t Union Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_pixel_value_t Union Reference</h1><!-- doxytag: class="vx_pixel_value_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Union that describes the value of a pixel for any image format. Use the field corresponding to the image format. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionvx__pixel__value__t.html#ae575ab2938a3813929c3ddbeaadf37d4">RGB</a> [3]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1aa792374c21de4bad1da6959916b0cd95">VX_DF_IMAGE_RGB</a></code> format in the R,G,B order  <a href="#ae575ab2938a3813929c3ddbeaadf37d4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionvx__pixel__value__t.html#a5780f98aad9dc7ac81f307ac1b16e4d4">RGBX</a> [4]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1ae483f00a6479575e647e471d029f9469">VX_DF_IMAGE_RGBX</a></code> format in the R,G,B,X order  <a href="#a5780f98aad9dc7ac81f307ac1b16e4d4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionvx__pixel__value__t.html#a072e1b9d0fc5a1a1cc1d3458e16cffce">YUV</a> [3]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">All YUV formats in the Y,U,V order.  <a href="#a072e1b9d0fc5a1a1cc1d3458e16cffce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionvx__pixel__value__t.html#acfdfa6383376fa20d31f5ce7ec8d743c">U8</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1ad57c5881488a19029a9ce095f13932cb">VX_DF_IMAGE_U8</a></code>  <a href="#acfdfa6383376fa20d31f5ce7ec8d743c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a23fad3d6af10532a44a2d497b7a9e6eb">vx_uint16</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionvx__pixel__value__t.html#aa36e32e66b29546a24736e9da0fc5fd4">U16</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1a2706f1cf5a5bf6d38e70f548d03748b9">VX_DF_IMAGE_U16</a></code>  <a href="#aa36e32e66b29546a24736e9da0fc5fd4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a26c6ff9283467866f2640bceba3341f4">vx_int16</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionvx__pixel__value__t.html#a8a9683d313647a87457b81b52aaee9f7">S16</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1a43c0bbfeef4963204af1ece7cc70649e">VX_DF_IMAGE_S16</a></code>  <a href="#a8a9683d313647a87457b81b52aaee9f7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionvx__pixel__value__t.html#aa97450bc45011d86899c7bc825d3d2d9">U32</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1a3d3d9ba200df0c33fd81edaf0a9dd069">VX_DF_IMAGE_U32</a></code>  <a href="#aa97450bc45011d86899c7bc825d3d2d9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionvx__pixel__value__t.html#a2e9873b61704a195350f1e0dcb072030">S32</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1a2936be4f59f560a00aef62021957bb1b">VX_DF_IMAGE_S32</a></code>  <a href="#a2e9873b61704a195350f1e0dcb072030"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionvx__pixel__value__t.html#a77ad97483885cf05474b47e1d30b37fc">reserved</a> [16]</td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="ae575ab2938a3813929c3ddbeaadf37d4"></a><!-- doxytag: member="vx_pixel_value_t::RGB" ref="ae575ab2938a3813929c3ddbeaadf37d4" args="[3]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a> <a class="el" href="unionvx__pixel__value__t.html#ae575ab2938a3813929c3ddbeaadf37d4">vx_pixel_value_t::RGB</a>[3]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1aa792374c21de4bad1da6959916b0cd95">VX_DF_IMAGE_RGB</a></code> format in the R,G,B order </p>

</div>
</div>
<a class="anchor" id="a5780f98aad9dc7ac81f307ac1b16e4d4"></a><!-- doxytag: member="vx_pixel_value_t::RGBX" ref="a5780f98aad9dc7ac81f307ac1b16e4d4" args="[4]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a> <a class="el" href="unionvx__pixel__value__t.html#a5780f98aad9dc7ac81f307ac1b16e4d4">vx_pixel_value_t::RGBX</a>[4]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1ae483f00a6479575e647e471d029f9469">VX_DF_IMAGE_RGBX</a></code> format in the R,G,B,X order </p>

</div>
</div>
<a class="anchor" id="a072e1b9d0fc5a1a1cc1d3458e16cffce"></a><!-- doxytag: member="vx_pixel_value_t::YUV" ref="a072e1b9d0fc5a1a1cc1d3458e16cffce" args="[3]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a> <a class="el" href="unionvx__pixel__value__t.html#a072e1b9d0fc5a1a1cc1d3458e16cffce">vx_pixel_value_t::YUV</a>[3]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>All YUV formats in the Y,U,V order. </p>

</div>
</div>
<a class="anchor" id="acfdfa6383376fa20d31f5ce7ec8d743c"></a><!-- doxytag: member="vx_pixel_value_t::U8" ref="acfdfa6383376fa20d31f5ce7ec8d743c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a> <a class="el" href="unionvx__pixel__value__t.html#acfdfa6383376fa20d31f5ce7ec8d743c">vx_pixel_value_t::U8</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1ad57c5881488a19029a9ce095f13932cb">VX_DF_IMAGE_U8</a></code> </p>

</div>
</div>
<a class="anchor" id="aa36e32e66b29546a24736e9da0fc5fd4"></a><!-- doxytag: member="vx_pixel_value_t::U16" ref="aa36e32e66b29546a24736e9da0fc5fd4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a23fad3d6af10532a44a2d497b7a9e6eb">vx_uint16</a> <a class="el" href="unionvx__pixel__value__t.html#aa36e32e66b29546a24736e9da0fc5fd4">vx_pixel_value_t::U16</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1a2706f1cf5a5bf6d38e70f548d03748b9">VX_DF_IMAGE_U16</a></code> </p>

</div>
</div>
<a class="anchor" id="a8a9683d313647a87457b81b52aaee9f7"></a><!-- doxytag: member="vx_pixel_value_t::S16" ref="a8a9683d313647a87457b81b52aaee9f7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a26c6ff9283467866f2640bceba3341f4">vx_int16</a> <a class="el" href="unionvx__pixel__value__t.html#a8a9683d313647a87457b81b52aaee9f7">vx_pixel_value_t::S16</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1a43c0bbfeef4963204af1ece7cc70649e">VX_DF_IMAGE_S16</a></code> </p>

</div>
</div>
<a class="anchor" id="aa97450bc45011d86899c7bc825d3d2d9"></a><!-- doxytag: member="vx_pixel_value_t::U32" ref="aa97450bc45011d86899c7bc825d3d2d9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="unionvx__pixel__value__t.html#aa97450bc45011d86899c7bc825d3d2d9">vx_pixel_value_t::U32</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1a3d3d9ba200df0c33fd81edaf0a9dd069">VX_DF_IMAGE_U32</a></code> </p>

</div>
</div>
<a class="anchor" id="a2e9873b61704a195350f1e0dcb072030"></a><!-- doxytag: member="vx_pixel_value_t::S32" ref="a2e9873b61704a195350f1e0dcb072030" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a> <a class="el" href="unionvx__pixel__value__t.html#a2e9873b61704a195350f1e0dcb072030">vx_pixel_value_t::S32</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1a2936be4f59f560a00aef62021957bb1b">VX_DF_IMAGE_S32</a></code> </p>

</div>
</div>
<a class="anchor" id="a77ad97483885cf05474b47e1d30b37fc"></a><!-- doxytag: member="vx_pixel_value_t::reserved" ref="a77ad97483885cf05474b47e1d30b37fc" args="[16]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#ae3c17ecc60bf32f3e113766b10830aa4">vx_uint8</a> <a class="el" href="unionvx__pixel__value__t.html#a77ad97483885cf05474b47e1d30b37fc">vx_pixel_value_t::reserved</a>[16]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
